Bug 1513291 - Review Request: rebloom - Bloom Filter Module for Redis
Summary: Review Request: rebloom - Bloom Filter Module for Redis
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-15 05:56 UTC by Nathan Scott
Modified: 2017-11-22 20:06 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-11-22 20:06:43 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Nathan Scott 2017-11-15 05:56:19 UTC
Spec URL: https://nathans.fedorapeople.org/rebloom/rebloom.spec
SRPM URL: https://nathans.fedorapeople.org/rebloom/rebloom-1.0.0-1.fc26.src.rpm
Description: Bloom Filter Module for Redis
Fedora Account System Username: nathans

Comment 1 Nathan Scott 2017-11-15 06:01:19 UTC
More detailed decription:
This provides a scalable bloom filter as a Redis data type.
Bloom filters are probabilistic data structures that do a very good
job at quickly determining if something is contained within a set.

Comment 2 Robert-André Mauchin 2017-11-15 18:01:01 UTC
Hello,


 - This isn't needed: %{!?_licensedir:%global license %%doc}

 - You should own /usr/lib64/redis and /usr/lib64/redis/modules or Requires a package that own these directories:

[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/redis, /usr/lib64/redis/modules
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/redis/modules,
     /usr/lib64/redis

 - Please package the latest version, 1.0.1: https://github.com/RedisLabsModules/rebloom/releases

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "AGPL (v3)", "Unknown or generated". 24 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/rebloom/review-rebloom/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/redis, /usr/lib64/redis/modules
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib64/redis/modules,
     /usr/lib64/redis
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rebloom-
     debuginfo , rebloom-debugsource
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rebloom-1.0.0-1.fc28.x86_64.rpm
          rebloom-debuginfo-1.0.0-1.fc28.x86_64.rpm
          rebloom-debugsource-1.0.0-1.fc28.x86_64.rpm
          rebloom-1.0.0-1.fc28.src.rpm
rebloom-debugsource.x86_64: W: no-documentation
rebloom.src: E: specfile-error warning: line 12: Possible unexpanded macro in: Requires:	redis(modules_abi)(x86-64) = %{redis_modules_abi}
4 packages and 0 specfiles checked; 1 errors, 1 warnings.

Comment 3 Nathan Scott 2017-11-17 06:24:34 UTC
(In reply to Robert-André Mauchin from comment #2)
> Hello,
> 

Hi there,

>  - This isn't needed: %{!?_licensedir:%global license %%doc}
> 

Removed.

>  - You should own /usr/lib64/redis and /usr/lib64/redis/modules or Requires
> a package that own these directories:
> 

I agree - I've started redis-4.0.2-2 builds to fix this, e.g.
https://koji.fedoraproject.org/koji/taskinfo?taskID=23172813

>  - Please package the latest version, 1.0.1:
> https://github.com/RedisLabsModules/rebloom/releases
> 

Done.  I've put packages with these changes at:
Spec URL: https://nathans.fedorapeople.org/rebloom/rebloom.spec
SRPM URL: https://nathans.fedorapeople.org/rebloom/rebloom-1.0.1-1.fc26.src.rpm

Thanks!

Comment 4 Robert-André Mauchin 2017-11-17 13:20:30 UTC
Perfect, package accepted.

Comment 5 Gwyn Ciesla 2017-11-21 13:07:05 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rebloom


Note You need to log in before you can comment on or make changes to this bug.